
/**
 * Filter for HTML editor panes in Netscape 4.
 *
 * @version 20030521
 * @author Jörg P. M. Haeger
 */
class JEditorPane extends javax.swing.JEditorPane {
	private static int counter = 0;

	JEditorPane(String type, String text) {
		super();

		if (type.equals("text/html")) {
			if (CDcreator.isNetscapeVM()) {
				type = "text/plain";
				text = JLabel.HTMLToText(text);
			}
		}

		setContentType(type);
		setText(text);
	}

	JEditorPane(java.net.URL initialPage) throws java.io.IOException {
		super(initialPage);
	}
}
